> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluerails.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Stablecoin Payout

> Create a stablecoin payout to withdraw funds to an external blockchain address.

This endpoint initiates a stablecoin withdrawal from your account to any valid
blockchain address. You can fund the payout in two ways:

1. **Direct funding**: Specify the exact amount and asset to send
- Example: Send exactly 100 USDC_SOL to a Solana address

The payout will be processed on the specified blockchain network and you'll receive
a transaction signature once it's broadcast. The payout status will update as it
gets confirmed on-chain.

```



## OpenAPI

````yaml POST /v1/payouts/crypto
openapi: 3.1.0
info:
  title: Payment Platform API
  version: 0.0.0
servers: []
security: []
tags:
  - name: Accounts
  - name: Payouts
  - name: Payments
paths:
  /v1/payouts/crypto:
    post:
      tags:
        - Payouts
      description: >-
        Create a stablecoin payout to withdraw funds to an external blockchain
        address.


        This endpoint initiates a stablecoin withdrawal from your account to any
        valid

        blockchain address. You can fund the payout in two ways:


        1. **Direct funding**: Specify the exact amount and asset to send

        - Example: Send exactly 100 USDC_SOL to a Solana address


        The payout will be processed on the specified blockchain network and
        you'll receive

        a transaction signature once it's broadcast. The payout status will
        update as it

        gets confirmed on-chain.


        ```
      operationId: Payouts_createCryptoPayout
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCryptoPayoutRequest'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Payout'
components:
  schemas:
    CreateCryptoPayoutRequest:
      type: object
      required:
        - accountId
        - toAddress
        - chain
        - funding
      properties:
        accountId:
          type: string
        toAddress:
          type: string
        chain:
          $ref: '#/components/schemas/Chain'
        funding:
          $ref: '#/components/schemas/Funding'
        description:
          type: string
        metadata:
          type: object
          unevaluatedProperties: {}
    Payout:
      type: object
      required:
        - payoutId
        - object
        - accountId
        - method
        - status
        - sourceAmount
        - sourceAssetCode
        - destinationAmount
        - destinationAssetCode
        - createdAt
        - updatedAt
      properties:
        payoutId:
          type: string
        object:
          type: string
          enum:
            - payout
          default: payout
        accountId:
          type: string
        method:
          type: string
          enum:
            - crypto
            - fiat
        status:
          $ref: '#/components/schemas/PayoutStatus'
        sourceAmount:
          type: string
        sourceAssetCode:
          type: string
        destinationAmount:
          type: string
        destinationAssetCode:
          type: string
        cryptoDetails:
          $ref: '#/components/schemas/CryptoPayoutDetails'
        description:
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        initiatedAt:
          type: string
        completedAt:
          type: string
        metadata:
          type: object
          unevaluatedProperties: {}
    Chain:
      type: string
      enum:
        - solana
    Funding:
      type: object
      required:
        - type
      properties:
        type:
          type: string
      discriminator:
        propertyName: type
        mapping:
          direct: '#/components/schemas/DirectFunding'
          quote: '#/components/schemas/QuoteFunding'
    PayoutStatus:
      type: string
      enum:
        - INITIATED
        - PROCESSING
        - COMPLETED
        - FAILED
        - CANCELLED
    CryptoPayoutDetails:
      type: object
      properties:
        toAddress:
          type: string
        chain:
          $ref: '#/components/schemas/Chain'
        transactionSignature:
          type: string
        confirmations:
          type: integer
          format: int32
        networkFee:
          type: string
        networkFeeAsset:
          type: string

````